#include "mainwindow.h"

#include <QDebug>
#include <QPushButton>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    QPushButton *button = new QPushButton(this);
    button->setText(QStringLiteral("Press me!"));

    QObject::connect(button, &QPushButton::clicked,
                     this, &MainWindow::handlePressMe);

    button->show();
}

MainWindow::~MainWindow()
{
}

void MainWindow::handlePressMe()
{
    QMessageBox msgBox(QMessageBox::NoIcon, "blabla", "", QMessageBox::Ok | QMessageBox::Cancel, this);
    msgBox.setText("The document has been modified.");
    for (int ret = QMessageBox::Ok; ret == QMessageBox::Ok; )
        ret = msgBox.exec();
}
